From 5d733f11fc3b2573c1e78da8dc9f399cb2e6f9d7 Mon Sep 17 00:00:00 2001
From: Stefan Kangas <stefankangas@gmail.com>
Date: Sun, 4 Aug 2019 19:34:01 +0200
Subject: [PATCH] Add key bindings for ibuffer filter commands

* lisp/ibuffer.el (ibuffer--filter-map): Add keybinding for
'ibuffer-filter-chosen-by-completion' and
'ibuffer-filter-by-directory'.  (Bug#6847)
---
 lisp/ibuffer.el | 2 ++
 1 file changed, 2 insertions(+)

diff --git a/lisp/ibuffer.el b/lisp/ibuffer.el
index 23f7a2a8e4..3af06eba97 100644
--- a/lisp/ibuffer.el
+++ b/lisp/ibuffer.el
@@ -424,12 +424,14 @@ ibuffer-mode-groups-popup
 (defvar ibuffer--filter-map
   (let ((map (make-sparse-keymap)))
     (define-key map (kbd "RET") 'ibuffer-filter-by-mode)
+    (define-key map (kbd "SPC") 'ibuffer-filter-chosen-by-completion)
     (define-key map (kbd "m") 'ibuffer-filter-by-used-mode)
     (define-key map (kbd "M") 'ibuffer-filter-by-derived-mode)
     (define-key map (kbd "n") 'ibuffer-filter-by-name)
     (define-key map (kbd "E") 'ibuffer-filter-by-process)
     (define-key map (kbd "*") 'ibuffer-filter-by-starred-name)
     (define-key map (kbd "f") 'ibuffer-filter-by-filename)
+    (define-key map (kbd "F") 'ibuffer-filter-by-directory)
     (define-key map (kbd "b") 'ibuffer-filter-by-basename)
     (define-key map (kbd ".") 'ibuffer-filter-by-file-extension)
     (define-key map (kbd "<") 'ibuffer-filter-by-size-lt)
-- 
2.22.0

